From bc7d0b325f796fce648f7e811e99b1889102ff0b Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Wed, 17 Jul 2019 17:06:00 +0200
Subject: [PATCH 07/14] pcre: disable JIT on riscv

---
 srcpkgs/pcre/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/pcre/template b/srcpkgs/pcre/template
index 4991f0a6df6..867f8cc41b4 100644
--- a/srcpkgs/pcre/template
+++ b/srcpkgs/pcre/template
@@ -16,6 +16,7 @@ checksum=91e762520003013834ac1adb4a938d53b22a216341c061b0cf05603b290faf6b
 
 case "$XBPS_TARGET_MACHINE" in
 	mips*) ;; # Without stack for recursion the mips builds fail
+	riscv*) configure_args+=" --disable-jit" ;;
 	*) configure_args+=" --disable-stack-for-recursion" ;;
 esac
 

